#ifndef GENERATED_ASN1SCC_record_H
#define GENERATED_ASN1SCC_record_H
/*
Code automatically generated by asn1scc tool
*/
#include "type.h"
#include "taste-types.h"
#include "taste-extended.h"
#include "asn1crt.h"

#ifdef  __cplusplus
extern "C" {
#endif


/*-- asn1SccRecord --------------------------------------------*/

typedef struct {
    asn1SccInt64Sequence ids;
    asn1SccStringSequence strings;

} asn1SccRecord;

void asn1SccRecord_Initialize(asn1SccRecord* pVal);

#define ERR_RECORD_IDS_ELM		108  /**/
#define ERR_RECORD_IDS		119  /**/
#define ERR_RECORD_STRINGS_ELM		130  /**/
#define ERR_RECORD_STRINGS		141  /**/
flag asn1SccRecord_IsConstraintValid(const asn1SccRecord* pVal, int* pErrCode);

#define ERR_UPER_ENCODE_RECORD		152  /**/
#define ERR_UPER_ENCODE_RECORD_IDS_2		126  /**/
#define ERR_UPER_ENCODE_RECORD_STRINGS_2		148  /**/
#define asn1SccRecord_REQUIRED_BYTES_FOR_ENCODING       2647162 
#define asn1SccRecord_REQUIRED_BITS_FOR_ENCODING        21177291

flag asn1SccRecord_Encode(const asn1SccRecord* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_UPER_DECODE_RECORD		153  /**/
#define ERR_UPER_DECODE_RECORD_IDS_2		127  /**/
#define ERR_UPER_DECODE_RECORD_STRINGS_2		149  /**/
flag asn1SccRecord_Decode(asn1SccRecord* pVal, BitStream* pBitStrm, int* pErrCode);

#define ERR_ACN_ENCODE_RECORD		154  /**/
#define ERR_ACN_ENCODE_RECORD_IDS		122  /**/
#define ERR_ACN_ENCODE_RECORD_IDS_ELM		111  /**/
#define ERR_ACN_ENCODE_RECORD_STRINGS		144  /**/
#define ERR_ACN_ENCODE_RECORD_STRINGS_ELM		133  /**/
#define asn1SccRecord_REQUIRED_BYTES_FOR_ACN_ENCODING       2647162 
#define asn1SccRecord_REQUIRED_BITS_FOR_ACN_ENCODING        21177291

flag asn1SccRecord_ACN_Encode(const asn1SccRecord* pVal, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);

#define ERR_ACN_DECODE_RECORD		155  /**/
#define ERR_ACN_DECODE_RECORD_IDS		123  /**/
#define ERR_ACN_DECODE_RECORD_IDS_ELM		112  /**/
#define ERR_ACN_DECODE_RECORD_STRINGS		145  /**/
#define ERR_ACN_DECODE_RECORD_STRINGS_ELM		134  /**/
flag asn1SccRecord_ACN_Decode(asn1SccRecord* pVal, BitStream* pBitStrm, int* pErrCode);

 

/* ================= Encoding/Decoding function prototypes =================
 * These functions are placed at the end of the file to make sure all types
 * have been declared first, in case of parameterized ACN encodings
 * ========================================================================= */

 


#ifdef  __cplusplus
}

#endif

#endif
